using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("REDIRECT")]
public partial class Redirect
{
    [Column("RGSN_ID")]
    [StringLength(100)]
    public string? RgsnId { get; set; }

    [Column("DSTR_NR")]
    [StringLength(100)]
    public string? DstrNr { get; set; }

    [Column("FILE_UPLOAD_ID")]
    [StringLength(100)]
    public string? FileUploadId { get; set; }

    [Column("DOC_UPLOAD_ID")]
    [StringLength(100)]
    public string? DocUploadId { get; set; }

    [Column("FILE_UPLOAD_NM")]
    [StringLength(300)]
    public string? FileUploadNm { get; set; }

    [Column("DOC_UPLOAD_DT")]
    [StringLength(200)]
    public string? DocUploadDt { get; set; }

    [Column("UPLOAD_STATUS_CD")]
    [StringLength(200)]
    public string? UploadStatusCd { get; set; }

    [Column("VRFN_ITEM_CD")]
    [StringLength(200)]
    public string? VrfnItemCd { get; set; }

    [Column("DOC_ID")]
    [StringLength(100)]
    public string? DocId { get; set; }

    [Column("WORKITEM_ID")]
    [StringLength(100)]
    public string? WorkitemId { get; set; }

    [Column("WORKITEM_NAME")]
    [StringLength(100)]
    public string? WorkitemName { get; set; }

    [Column("STATUS")]
    [StringLength(100)]
    public string? Status { get; set; }
}
